<?php
/**
*
* @package QRBosqUrl
* @copyright (C)2012 Bosqweb.net
* @license GNU/GPL
* http://www.bosqweb.net
*
**/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );	
setlocale(LC_ALL, "fr_FR.UTF-8");
class modQRBosqUrlHelper
{
	var $config = array(); // configuration array
	public $params;
	
	public static function hexToRgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   return implode(",", $rgb); // returns the rgb values separated by commas
   //return $rgb; // returns an array with the rgb values
}
	
	 public static function displayQRCode($params)
	{
		$uri  = JURI::current();
		$u = JURI::getInstance() ;		
		$q = $u->getQuery() ;
	
		if( isset($q) && $q !='' ) $uri = $uri . '?' . $q ;		
		$BACK_COLOR = $params->def('BACK_COLOR');
		$BAR_COLOR = $params->def('BAR_COLOR');
		$showCreditLink = $params->def( 'showCreditLink', '1' );
		
		$BACK_C = modQRBosqUrlHelper::hexToRGB($BACK_COLOR);
		$BACK_R = modQRBosqUrlHelper::hexToRGB($BAR_COLOR);
		echo '<img src="http://www.bosqweb.net/qr/qr.php?type=url&url='. htmlspecialchars(urldecode($uri)) .'&BACK_COLOR='.$BACK_C.'&BAR_COLOR='.$BACK_R.'" alt="QR Code" />';

		if ( $showCreditLink == '1' )
		{
			echo '<br /><a href="http://www.bosqweb.net" title="Bosqweb.net" target="_blank">QR code generator</a>';
		}
	}
}
?>
